#!/usr/bin/env bash
# Author: Oksana Riba Grognuz, Almut Luetge, Anthony Sonrel

########################################
######## Project configuration #########
########################################

###----------------------------------###
## -------- Define inputs ----------- ##
###---------------------------------####

# Pass here the name of your dataset !! It should also correspond to your data script name!!
declare -A IN_PREFIX
IN_PREFIX['data_generation_script']="data-test-sched" 

# Define the type of script you are using to dl/transform the data, e.g "R", "py",...
declare -A IN_EXT
IN_EXT['data_generation_script']="R" 

declare -A IN_PATH
IN_PATH['data_generation_script']="src/"

###----------------------------------###
## ---- Define Dataset variables ---- ##
###---------------------------------####

declare -A DATA_VARS
DATA_VARS['name']="some_data_test"
DATA_VARS['description']="some data test that will undergo test processing"
DATA_VARS['title']="data-test-sched"

TAG_LIST=("sched_test")


#####################
## DO NOT MODIFIY ###
#####################


declare -A IN_FILE
for i in "${!IN_PREFIX[@]}"
do
    IN_FILE[$i]="${IN_PATH[$i]}${IN_PREFIX[$i]}.${IN_EXT[$i]}"
done






